#ifndef __SM_SCALARSEQUENCE

#define __SM_SCALARSEQUENCE

class   MVFSFILE;

struct ScalarSequence
{
             ScalarSequence();
             ~ScalarSequence();


  int        Load(MVFSFILE* f);
  int        Save(MVFSFILE* f);

  int        Init();
  int        Shutdown();

  float*     GetScalar(float fTime, float fStartTime, float* pScalar);

  unsigned   m_uScalars;  
  float*     m_pScalars;
  unsigned   m_uSamplingRate;


};


#endif